import request from '@/utils/request'

/**
 * 获取ampe设备列表（分页）
 * @param data
 * @returns {*}
 */
export function getList(data) {
  return request({
    url: '/api/v1/auth/ampe/device/page',
    method: 'post',
    headers: { 'content-type': 'application/json' },
    data
  })
}

/**
 * 修改ampe设备配置信息
 * @param data
 * @returns {*}
 */
export function updateAuthAccount(data) {
  return request({
    url: '/api/v1/auth/ampe/device/update',
    method: 'post',
    headers: { 'content-type': 'application/json' },
    data
  })
}

/**
 * 获取服务商列表
 * @returns {*}
 */
export function getAuthAmpeTenantList() {
  return request({
    url: `/api/v1/auth/ampe/tenant/list`,
    method: 'post'
  })
}

/**
 * 获取ampe列表
 * @returns {*}
 */
export function getAuthAmpeList() {
  return request({
    url: `/api/v1/auth/ampe/list`,
    method: 'post'
  })
}

